//
//  DaiKeXiaDanFooterView.swift
//  GeliBusinessPlatform
//
//  Created by junye lu on 2020/4/27.
//  Copyright © 2020 junye lu. All rights reserved.
//

import UIKit
@objc protocol DaiKeXiaDanFooterViewDelegate {
    @objc optional func addAction()
}
class DaiKeXiaDanFooterView: UIView {
    var contentView:UIView!
    @IBOutlet weak var topView: UIView!
    var delegate:DaiKeXiaDanFooterViewDelegate?
    @IBAction func btnClick(_ sender: Any) {
        delegate?.addAction!()
    }
    @IBOutlet weak var topViewHeight: NSLayoutConstraint!
    @IBOutlet weak var priceLbl: UILabel!
    @IBOutlet weak var countLbl: NSLayoutConstraint!
    //初始化时将xib中的view添加进来
       override init(frame: CGRect) {
           super.init(frame: frame)
           contentView = loadViewFromNib()
           addSubview(contentView)
           contentView.snp.makeConstraints { (make) in
               make.left.top.right.bottom.equalToSuperview()
           }
       }
       //    /初始化时将xib中的view添加进来
       required init?(coder aDecoder: NSCoder) {
           super.init(coder: aDecoder)
           contentView = loadViewFromNib()
           addSubview(contentView)
           contentView.snp.makeConstraints { (make) in
               make.left.top.right.bottom.equalToSuperview()
           }
       }
       //加载xib
       func loadViewFromNib() -> UIView {
           let className = type(of: self)
           let bundle = Bundle(for: className)
           let name = NSStringFromClass(className).components(separatedBy: ".").last
           let nib = UINib(nibName: name!, bundle: bundle)
           let view = nib.instantiate(withOwner: self, options: nil).first as! UIView
           return view
       }
}
