//
//  XuanZeShangPinViewController.swift
//  GeliBusinessPlatform
//
//  Created by junye lu on 2020/4/28.
//  Copyright © 2020 junye lu. All rights reserved.
//

import UIKit

class XuanZeShangPinViewController: BaseViewController,UITableViewDelegate,UITableViewDataSource,XuanZeShangPinCellDelegate{

    
//XuanZeShangPinCell
    @IBAction func submitAction(_ sender: Any) {
        
    }
    var idx:IndexPath?
    @IBOutlet weak var btmLbl: UILabel!
    @IBOutlet weak var listView: UITableView!
    override func viewDidLoad() {
        super.viewDidLoad()
        navbar.title = "选择商品"
        self.view.addSubview(navbar)
        
        listView.separatorStyle = .none
        listView.snp.makeConstraints { (make) in
            make.top.equalTo(NavCGRect.height)
            make.left.right.equalTo(0)
            make.bottom.equalTo(btmLbl.snp_top)
        }
        
        listView.register(UINib(nibName: "XuanZeShangPinCell", bundle: nil), forCellReuseIdentifier: "XuanZeShangPinCell")
    }

//MARK: - cell delegate
    func tableView(_ tableView: UITableView, numberOfRowsInSection section: Int) -> Int {
        return 8
    }
    
    func tableView(_ tableView: UITableView, cellForRowAt indexPath: IndexPath) -> UITableViewCell {
        let cell = tableView.dequeueReusableCell(withIdentifier: "XuanZeShangPinCell") as! XuanZeShangPinCell
        cell.delegate = self
        cell.idx = indexPath
        if idx == indexPath {
            cell.selectBtn.isSelected = true
            cell.btmView.isHidden = false
            cell.btmViewHeight.constant = 89
        }else{
            cell.selectBtn.isSelected = false
            cell.btmView.isHidden = true
            cell.btmViewHeight.constant = 0
        }
        return cell
    }
    func tableView(_ tableView: UITableView, heightForRowAt indexPath: IndexPath) -> CGFloat {
        if idx != nil {
            if indexPath == idx {
                return 210
            }
        }
        return 120
    }
    
    //MARK: - SELF DELEGATE
    func XuanZeShangPinCellBtnADClick(sender: UIButton) {
        if sender.tag == 0 {//加
            
        }else{//减
            
        }
    }
    func XuanZeShangPinCellBtnClick(index:IndexPath) {
        idx = index
        for item in listView.visibleCells {
            let cel = item as! XuanZeShangPinCell
                cel.selectBtn.isSelected = false
                cel.btmView.isHidden = true
                cel.btmViewHeight.constant = 0
            if cel.idx == index {
                cel.selectBtn.isSelected = true
                cel.btmView.isHidden = false
                cel.btmViewHeight.constant = 89
            }
        }
        listView.reloadData()
    }
    
}
