//
//  BindingViewController.swift
//  GeliBusinessPlatform
//
//  Created by junye lu on 2020/4/15.
//  Copyright © 2020 junye lu. All rights reserved.
//

import UIKit
import LGButton

class BindViewController: BaseViewController {
    
    @IBOutlet weak var submitBtn: LGButton!
    @IBOutlet weak var pinkView: UIView!
    @IBOutlet weak var accountTF: UITextField!
    @IBOutlet weak var phoneTF: UITextField!
    @IBOutlet weak var codeTF: UITextField!
    @IBOutlet weak var topInputView: UIView!
  
    override func viewDidLoad() {
        super.viewDidLoad()
        
        navbar.title = "换绑支付账号"
        self.view.addSubview(navbar)
        
        if pinkView.isHidden {
            topInputView.snp.makeConstraints { (make) in
                make.top.equalTo(NavCGRect.height)
                make.left.right.equalTo(0)
                make.height.equalTo(50)
            }
            submitBtn.titleString = "确认绑定支付账户"
        }else{
            pinkView.snp.makeConstraints { (make) in
                make.top.equalTo(NavCGRect.height)
                make.left.right.equalTo(0)
                make.height.equalTo(22.5)
            }
            topInputView.snp.makeConstraints { (make) in
                make.top.equalTo(NavCGRect.height+32.5)
                make.left.right.equalTo(0)
                make.height.equalTo(50)
            }
            submitBtn.titleString = "绑定支付账户"
        }
        
        
        // Do any additional setup after loading the view.
    }
    //MARK: -绑定、获取验证码、忘记手机号码方法
      
      @IBAction func registerPayAccountAction(_ sender: Any) {
          print("注册支付账号")
      }
      @IBAction func getCodeAction(_ sender: Any) {
           print("获取验证码")
      }
      @IBAction func forgetPhoneNumAction(_ sender: Any) {
          print("忘记手机号码")
      }
      @IBAction func submitBindingAction(_ sender: Any) {
          print("确认绑定账号")
      }
   
 
}
