//
//  OrderListVC.swift
//  GeliBusinessPlatform
//
//  Created by 刘俊宏 on 2020/4/26.
//  Copyright © 2020 junye lu. All rights reserved.
//

import UIKit
import ViewAnimator

class OrderListVC: BaseViewController, UITableViewDelegate, UITableViewDataSource {
    
    var selectData:String = ""{
        didSet{
            print("筛选条件=---")
        }
    }
    var dataArr:Array<Any> = [] {
        didSet{
            
            tableV.reloadData()
            tableV.performBatchUpdates({
                   UIView.animate(views: self.tableV!.visibleCells,
                                  animations: self.animations, completion: {
                                   
                   })
               }, completion: nil)
        }
    }
    override func viewDidLoad() {
        super.viewDidLoad()
        setTabv()
        
    }
    convenience init(title: String) {
        self.init(title: title, content: "")
    }
    init(title: String, content: String) {
        super.init(nibName: nil, bundle: nil)
        self.title = title
        print("ttit===\(title)")
    }
    
    required init?(coder: NSCoder) {
        fatalError("init(coder:) has not been implemented")
    }
    
    var tableV :UITableView!
    var tableSearchV :UITableView! = nil
    
    private let animations = [AnimationType.from(direction: .bottom, offset: 150*glscale)]
    
    func setTabv() {
        tableV = UITableView()
        view.addSubview(tableV);
        tableV.snp.makeConstraints { (make) in
            make.top.left.right.bottom.equalToSuperview()
        }
        tableV.backgroundColor = UIColor.init(named: "app底色")
        tableV.delegate = self
        tableV.dataSource = self
        tableV.separatorStyle = .none
        tableV?.register(UINib(nibName: "DaiQueRenCell", bundle: nil), forCellReuseIdentifier: "DaiQueRenCell")
   
        let footerTbV = UIView(frame: CGRect(x: 0, y: 0, width: view.frame.size.width, height: 15*glscale))
        footerTbV.backgroundColor = UIColor.init(named: "app底色")
        tableV.tableFooterView = footerTbV
        
        
    }
    func tableView(_ tableView: UITableView, numberOfRowsInSection section: Int) -> Int {
        
        return dataArr.count
    }
    
    func tableView(_ tableView: UITableView, cellForRowAt indexPath: IndexPath) -> UITableViewCell {
        let cell = tableView.dequeueReusableCell(withIdentifier: "DaiQueRenCell") as! DaiQueRenCell
        
        return cell
    }
    func tableView(_ tableView: UITableView, didSelectRowAt indexPath: IndexPath) {
        print(indexPath)
        //跳转订单详情
        let vc = OrderDViewController()
        self.navigationController?.pushViewController(vc, animated: true)
    }
    
    func tableView(_ tableView: UITableView, heightForRowAt indexPath: IndexPath) -> CGFloat {
        return 214*glscale
    }
    
}
