//
//  GuanLianKehuVC.swift
//  GeliBusinessPlatform
//
//  Created by 刘俊宏 on 2020/4/26.
//  Copyright © 2020 junye lu. All rights reserved.
//

import UIKit
import ViewAnimator

class GuanLianKehuVC: BaseViewController , UITableViewDelegate, UITableViewDataSource{
    
    @IBOutlet weak var contentView: UIView!
    override func viewDidLoad() {
        super.viewDidLoad()
        navbar.title = "关联客户"
        self.view.addSubview(navbar)
        setTabv()
    }
    var tableV :UITableView!

    private let animations = [AnimationType.from(direction: .bottom, offset: 150*glscale)]
    func setTabv() {
        tableV = UITableView()
        contentView.addSubview(tableV);
        tableV.snp.makeConstraints { (make) in
            make.left.right.bottom.equalToSuperview()
            make.top.equalTo(navbar.snp_bottom)
        }
        tableV.backgroundColor = UIColor.init(named: "白色背景色")
        tableV.delegate = self
        tableV.dataSource = self
        tableV.separatorStyle = .none
        tableV?.register(UINib(nibName: "GuanLianKeHuCell", bundle: nil), forCellReuseIdentifier: "GuanLianKeHuCell")
        
        let footerTbV = UIView(frame: CGRect(x: 0, y: 0, width: view.frame.size.width, height: 15*glscale))
        footerTbV.backgroundColor = UIColor.init(named: "白色背景色")
        tableV.tableFooterView = footerTbV
        
        
    }
    func tableView(_ tableView: UITableView, numberOfRowsInSection section: Int) -> Int {
        
        return 3
    }
    
    func tableView(_ tableView: UITableView, cellForRowAt indexPath: IndexPath) -> UITableViewCell {
        let cell = tableView.dequeueReusableCell(withIdentifier: "GuanLianKeHuCell") as! GuanLianKeHuCell
        
        return cell
    }
    func tableView(_ tableView: UITableView, didSelectRowAt indexPath: IndexPath) {
        print(indexPath)
        
    }
    
    func tableView(_ tableView: UITableView, heightForRowAt indexPath: IndexPath) -> CGFloat {
        return 100*glscale
    }
}
