//
//  ChuRuKuJiLuXQViewController.swift
//  GeliBusinessPlatform
//
//  Created by junye lu on 2020/4/28.
//  Copyright © 2020 junye lu. All rights reserved.
//

import UIKit

class ChuRuKuJiLuXQViewController: BaseViewController,UITableViewDelegate,UITableViewDataSource{
    
    @IBAction func btmAction(_ sender: UIButton) {
        print(sender.titleLabel?.text)
    }
   
    @IBOutlet weak var btmView: UIView!
    let firstArr = ["0","申请人","申请时间","入库数量"]
    let lastArr = ["生产日期","有效日期","保质期","检测报告","商品库存","仓库","库位","备注","未通过原因"]
    @IBOutlet weak var listView: UITableView!
    override func viewDidLoad() {
        super.viewDidLoad()
        navbar.title = "商品-xxxx"
        self.view.addSubview(navbar)
        
        listView.separatorStyle = .none
        listView.snp.makeConstraints { (make) in
            make.top.equalTo(NavCGRect.height)
            make.left.right.equalTo(0)
            make.bottom.equalTo(btmView.snp_top)
        }
        listView.register(UINib(nibName: "TitleAndTFCell", bundle: nil), forCellReuseIdentifier: "TitleAndTFCell")
        listView.register(UINib(nibName: "DaiKeXiaDanGouWuCell", bundle: nil), forCellReuseIdentifier: "DaiKeXiaDanGouWuCell")
        listView.register(UINib(nibName: "TitleAndOnlyBtnCell", bundle: nil), forCellReuseIdentifier: "TitleAndOnlyBtnCell")
        // Do any additional setup after loading the view.
    }
    //MARK: - cell delegate
    func numberOfSections(in tableView: UITableView) -> Int {
        return 2
    }
    func tableView(_ tableView: UITableView, numberOfRowsInSection section: Int) -> Int {
        if section == 0 {
            return firstArr.count
        }
        return lastArr.count
    }
    func tableView(_ tableView: UITableView, cellForRowAt indexPath: IndexPath) -> UITableViewCell {
        if indexPath.section == 0 {
            if indexPath.row == 0 {
                let cell = tableView.dequeueReusableCell(withIdentifier: "DaiKeXiaDanGouWuCell") as! DaiKeXiaDanGouWuCell
                cell.delImg.isHidden = true
                cell.delBtn.isHidden = true
                cell.detailLbl2.isHidden = true
                cell.btmLIneWidth.constant = 0
                return cell
            }
        }
        let cell = tableView.dequeueReusableCell(withIdentifier: "TitleAndTFCell") as! TitleAndTFCell
        cell.textTF.isUserInteractionEnabled = false
        cell.textTF.text = "2020.01.02  15:12:21"
        if indexPath.section == 0 {
            cell.nameLbl.text = firstArr[indexPath.row]
        }else{
            if indexPath.row == 3 {
                let cell = tableView.dequeueReusableCell(withIdentifier: "TitleAndOnlyBtnCell")
                    as! TitleAndOnlyBtnCell
                cell.button.setTitle("查看", for: .normal)
                cell.titleLbl.text = lastArr[indexPath.row]
               
                return cell
            }
            cell.nameLbl.text = lastArr[indexPath.row]
        }
        return cell
    }
    func tableView(_ tableView: UITableView, heightForRowAt indexPath: IndexPath) -> CGFloat {
        if indexPath.section == 0 {
            if indexPath.row == 0 {
                return 120
            }
            return 49
        }
        return 49
    }
    //MARK: - footer
    func tableView(_ tableView: UITableView, viewForFooterInSection section: Int) -> UIView? {
        let view = UIView(frame: CGRect(x: 0, y: 0, width: fullScreenWidth, height: 10))
        return view
    }
    func tableView(_ tableView: UITableView, heightForFooterInSection section: Int) -> CGFloat {
        return 10
    }
}
