//
//  JiPaiFangShiViewController.swift
//  GeliBusinessPlatform
//
//  Created by junye lu on 2020/4/24.
//  Copyright © 2020 junye lu. All rights reserved.
//

import UIKit

class JiPaiFangShiViewController: BaseViewController {
    
    
    @IBAction func selectTimeAction(_ sender: UIButton) {
        let view = SendTimeSelectView(frame:self.view.bounds)
        self.view.addSubview(view)
    }
    @IBOutlet weak var topView: UIView!
    @IBOutlet weak var PLBL: UILabel!
    @IBOutlet weak var JLBL: UILabel!
    @IBOutlet weak var timeLbl: UILabel!
    @IBOutlet weak var PRightBtn: UIButton!
    @IBOutlet weak var PLeftBtn: UIButton!
    @IBOutlet weak var JRightBtn: UIButton!
    @IBOutlet weak var JLeftBtn: UIButton!
    @IBOutlet weak var timeViewHeight: NSLayoutConstraint!
    override func viewDidLoad() {
        super.viewDidLoad()
        
        self.setYuanJiao(sender: JLBL)
        self.setYuanJiao(sender: PLBL)
        
        navbar.title = "寄派方式"
        self.view.addSubview(navbar)
        JLeftBtn.isSelected = true
        JLeftBtn.backgroundColor = UIColor(named: "蓝色字体颜色")
        JLeftBtn.layer.borderWidth = 0
        timeViewHeight.constant = 45
        
        PLeftBtn.isSelected = true
        PLeftBtn.backgroundColor = UIColor(named: "蓝色字体颜色")
        PLeftBtn.layer.borderWidth = 0
        
        topView.snp.makeConstraints { (make) in
            make.top.equalTo(NavCGRect.height+15)
            make.left.equalTo(15)
            make.right.equalTo(-15)
            make.height.equalTo(55)
        }
        // Do any additional setup after loading the view.
    }
    func setYuanJiao(sender:UIView){
        let maskPath = UIBezierPath(roundedRect: sender.bounds,
        byRoundingCorners:[.bottomRight, .topRight], cornerRadii:CGSize(width:2, height:2))
        let masklayer = CAShapeLayer()
        masklayer.frame = sender.bounds
        masklayer.path = maskPath.cgPath
        sender.layer.mask = masklayer
    }
    @IBAction func sendAction(_ sender: UIButton) {
        if sender == PLeftBtn {
            
                PRightBtn.backgroundColor = UIColor.clear
                PRightBtn.isSelected = false
                PRightBtn.layer.borderWidth = 1
                
                PLeftBtn.isSelected = true
                PLeftBtn.backgroundColor = UIColor(named: "蓝色字体颜色")
                PLeftBtn.layer.borderWidth = 0
            
        }else{
           
                PLeftBtn.backgroundColor = UIColor.clear
                PLeftBtn.isSelected = false
                PLeftBtn.layer.borderWidth = 1
                
                PRightBtn.isSelected = true
                PRightBtn.backgroundColor = UIColor(named: "蓝色字体颜色")
                PRightBtn.layer.borderWidth = 0
            
        }
    }
    
    
    @IBAction func getAction(_ sender: UIButton) {
        if sender == JLeftBtn {
           
                JRightBtn.backgroundColor = UIColor.clear
                JRightBtn.isSelected = false
                JRightBtn.layer.borderWidth = 1
                
                JLeftBtn.isSelected = true
                JLeftBtn.backgroundColor = UIColor(named: "蓝色字体颜色")
                JLeftBtn.layer.borderWidth = 0
                timeViewHeight.constant = 45
            
        }else{
       
                JLeftBtn.backgroundColor = UIColor.clear
                JLeftBtn.isSelected = false
                JLeftBtn.layer.borderWidth = 1
                timeViewHeight.constant = 0.01
                JRightBtn.isSelected = true
                JRightBtn.backgroundColor = UIColor(named: "蓝色字体颜色")
                JRightBtn.layer.borderWidth = 0
                
            
        }
    }
}
