//
//  PayViewController.swift
//  GeliBusinessPlatform
//
//  Created by junye lu on 2020/4/16.
//  Copyright © 2020 junye lu. All rights reserved.
//

import UIKit
import LGButton

class PayViewController: BaseViewController {

    @IBOutlet weak var enterBtn: LGButton!
    @IBOutlet weak var changeBindBtn: UIButton!
    @IBOutlet weak var pinkView: UIView!
    
    @IBOutlet weak var passBtn: UIButton!
    
    @IBOutlet weak var accountLbl: UILabel!
    
    override func viewDidLoad() {
        super.viewDidLoad()
        
        navbar.title = "支付账号"
        self.view.addSubview(navbar)
        let UserToken = UserDefaults.standard.value(forKey: "user_token")

         geliPayInfo(["user_token":UserToken as Any], success: { (data) in
             let dataM = data as! GeliPayInfoModel
             if dataM.data?.status == 3 {
                if self.accountLbl.text == "未绑定支付账号" {
                    self.enterBtn.titleString = "绑定账号"
                    self.enterBtn.borderColor = UIColor(named: "按钮渐变色下,字体颜色")!
                    self.enterBtn.titleColor =  UIColor(named: "按钮渐变色下,字体颜色")!
                    self.enterBtn.gradientEndColor = UIColor(named: "app底色")
                    self.enterBtn.gradientStartColor = UIColor(named: "app底色")
                    self.enterBtn.borderWidth = 1.5
                    self.passBtn.isHidden = true
                    self.changeBindBtn.isHidden = true
                }
             }else{

             }
         }) { (error) in
             
         }
        if accountLbl.text == "未绑定支付账号" {
            enterBtn.titleString = "绑定账号"
            enterBtn.borderColor = UIColor(named: "按钮渐变色下,字体颜色")!
            enterBtn.titleColor =  UIColor(named: "按钮渐变色下,字体颜色")!
            enterBtn.gradientEndColor = UIColor(named: "app底色")
            enterBtn.gradientStartColor = UIColor(named: "app底色")
            enterBtn.borderWidth = 1.5
            passBtn.isHidden = true
            changeBindBtn.isHidden = true
        }
        
        if navbar.title == "支付账号" {
            passBtn.setTitle("修改支付密码", for: .normal)
        }else{
            passBtn.setTitle("设置支付密码", for: .normal)
        }
        
        pinkView.snp.makeConstraints { (make) in
            make.top.equalTo(NavCGRect.height)
            make.left.right.equalTo(0)
            make.height.equalTo(22.5)
        }
        // Do any additional setup after loading the view.
    }
    //MARK: -方法
     
     @IBAction func bindAction(_ sender: Any) {
         print("换绑账号")
     }
     @IBAction func passwordAction(_ sender: UIButton) {
         if sender.titleLabel?.text == "修改支付密码" {
             print("修改支付密码")
         }else{
             print("设置支付密码")
         }
     }
     @IBAction func enterInGLPayAction(_ sender: Any) {
         print("进入格利支付")
     }


}
