//
//  YuShouCell.swift
//  GeliBusinessPlatform
//
//  Created by junye lu on 2020/4/21.
//  Copyright © 2020 junye lu. All rights reserved.
//

import UIKit
@objc protocol YuShouCellDelegate {
    @objc optional func YuShouCellSwitchStatus(sender:UISwitch)
}
class YuShouCell: UITableViewCell {
var delegate:YuShouCellDelegate?
    @IBOutlet weak var inputTF3: UITextField!
    @IBOutlet weak var inputTF2: NSLayoutConstraint!
    @IBOutlet weak var inputTF1: UITextField!
    @IBOutlet weak var infoSw: UISwitch!
    override func awakeFromNib() {
        super.awakeFromNib()
        self.selectionStyle = .none
        infoSw.transform = CGAffineTransform(scaleX: 0.8, y: 0.8)
        
        infoSw.addTarget(self, action: #selector(switchChange(sender:)), for: .valueChanged)
        // Initialization code
    }
    @objc func switchChange(sender:UISwitch){
        delegate?.YuShouCellSwitchStatus?(sender: sender)
       }
    override func setSelected(_ selected: Bool, animated: Bool) {
        super.setSelected(selected, animated: animated)

        // Configure the view for the selected state
    }
    
}
